Upstream information

CVE-2018-12539 at MITRE

Description

In Eclipse OpenJ9 version 0.8, users other than the process owner may be able to use Java Attach API to connect to an Eclipse OpenJ9 or IBM JVM on the same machine and use Attach API operations, which includes the ability to execute untrusted native code. Attach API is enabled by default on Windows, Linux and AIX JVMs and can be disabled using the command line option -Dcom.ibm.tools.attach.enable=no.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v3 Scores
  SUSE
Base Score 8.4
Vector AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1104668 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-Storage-4-2018-1858
SUSE-Storage-4-2018-1987
SUSE Linux Enterprise Module for Legacy Software 15
  • java-1_8_0-ibm >= 1.8.0_sr5.20-3.6.2
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-3.6.2
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-3.6.2
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-3.6.2
Patchnames:
SUSE-SLE-Module-Legacy-15-2018-2183
SUSE Linux Enterprise Point of Sale 11 SP3
  • java-1_7_0-ibm >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.30-65.28.1
Patchnames:
sleposp3-java-1_7_0-ibm-13765
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-1858
SUSE-SLE-POS-12-SP2-CLIENT-2018-1987
SUSE Linux Enterprise Server 11 SP3-LTSS
  • java-1_7_0-ibm >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.30-65.28.1
Patchnames:
slessp3-java-1_7_0-ibm-13765
SUSE Linux Enterprise Server 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.30-26.29.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-26.29.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-26.29.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-26.29.1
Patchnames:
slessp4-java-1_7_1-ibm-13766
SUSE Linux Enterprise Server 12 SP1-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1858
SUSE-SLE-SERVER-12-SP1-2018-1987
SUSE Linux Enterprise Server 12 SP2-BCL
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-1858
SUSE-SLE-SERVER-12-SP2-BCL-2018-1987
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1858
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1987
SUSE Linux Enterprise Server 12 SP2-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1858
SUSE-SLE-SERVER-12-SP2-2018-1987
SUSE Linux Enterprise Server 12 SP3
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1858
SUSE-SLE-SERVER-12-SP3-2018-1987
SUSE Linux Enterprise Server 12-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
Patchnames:
SUSE-SLE-SERVER-12-2018-1858
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • java-1_7_0-ibm >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-alsa >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-devel >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-jdbc >= 1.7.0_sr10.30-65.28.1
  • java-1_7_0-ibm-plugin >= 1.7.0_sr10.30-65.28.1
Patchnames:
slessp3-java-1_7_0-ibm-13765
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.30-26.29.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-26.29.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-26.29.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-26.29.1
Patchnames:
slessp4-java-1_7_1-ibm-13766
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-1858
SUSE-SLE-SAP-12-SP1-2018-1987
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1858
SUSE-SLE-SERVER-12-SP1-2018-1987
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-1858
SUSE-SLE-SAP-12-SP2-2018-1987
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-1858
SUSE-SLE-SERVER-12-SP2-BCL-2018-1987
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1858
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-1987
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1858
SUSE-SLE-SERVER-12-SP2-2018-1987
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1858
SUSE-SLE-SERVER-12-SP3-2018-1987
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
Patchnames:
SUSE-SLE-SERVER-12-2018-1858
SUSE Linux Enterprise Software Development Kit 11 SP4
  • java-1_7_1-ibm >= 1.7.1_sr4.30-26.29.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-26.29.1
Patchnames:
sdksp4-java-1_7_1-ibm-13766
SUSE Linux Enterprise Software Development Kit 12 SP3
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1858
SUSE-SLE-SDK-12-SP3-2018-1987
SUSE OpenStack Cloud 7
  • java-1_7_1-ibm >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-alsa >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-devel >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-jdbc >= 1.7.1_sr4.30-38.26.1
  • java-1_7_1-ibm-plugin >= 1.7.1_sr4.30-38.26.1
  • java-1_8_0-ibm >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-alsa >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-devel >= 1.8.0_sr5.20-30.36.1
  • java-1_8_0-ibm-plugin >= 1.8.0_sr5.20-30.36.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-1858
SUSE-OpenStack-Cloud-7-2018-1987


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Legacy Software 12 java-1_6_0-ibm Affected
SUSE Linux Enterprise Module for Legacy Software 15 java-1_8_0-ibm Released
SUSE Linux Enterprise SDK 11 SP4 java-1_7_1-ibm Released
SUSE Linux Enterprise SDK 12 SP3 java-1_7_1-ibm Released
SUSE Linux Enterprise SDK 12 SP3 java-1_8_0-ibm Released
SUSE Linux Enterprise Server 11 SP3 LTSS java-1_6_0-ibm Affected
SUSE Linux Enterprise Server 11 SP3 LTSS java-1_7_0-ibm Released
SUSE Linux Enterprise Server 11 SP4 java-1_7_1-ibm Released
SUSE Linux Enterprise Server 12 GA LTSS java-1_7_1-ibm Released
SUSE Linux Enterprise Server 12 SP1 LTSS java-1_7_1-ibm Released
SUSE Linux Enterprise Server 12 SP1 LTSS java-1_8_0-ibm Released
SUSE Linux Enterprise Server 12 SP2 LTSS java-1_7_1-ibm Released
SUSE Linux Enterprise Server 12 SP2 LTSS java-1_8_0-ibm Released
SUSE Linux Enterprise Server 12 SP3 java-1_7_1-ibm Released
SUSE Linux Enterprise Server 12 SP3 java-1_8_0-ibm Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 java-1_7_1-ibm Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 java-1_8_0-ibm Released